## kmidimon-dmo 1.0.0

=== CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.9)

project(kmidimon
    VERSION 1.0.0
    DESCRIPTION "ALSA Sequencer based MIDI Monitor"
    LANGUAGES CXX
)

option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED Yes)

find_package(Qt5 5.12 COMPONENTS Widgets LinguistTools REQUIRED)
if(Qt5_FOUND)
    message(STATUS "Found Qt5 version: ${Qt5Core_VERSION_STRING}")
endif()

find_package(Drumstick 2.0 COMPONENTS ALSA File REQUIRED)
if(Drumstick_FOUND)
    message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
endif()

message (STATUS "${PROJECT_NAME} v${PROJECT_VERSION}
    install prefix: ${CMAKE_INSTALL_PREFIX}
    Build configuration: ${CMAKE_BUILD_TYPE}
    Processor: ${CMAKE_SYSTEM_PROCESSOR}
    Qt5: ${Qt5_VERSION}
    Drumstick: ${Drumstick_VERSION}
    Embed translations: ${EMBED_TRANSLATIONS}")

include(GNUInstallDirs)

if(CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "AppleClang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant -Wsuggest-override")
endif()

add_subdirectory(icons)
add_subdirectory(doc/en)
if(NOT EMBED_TRANSLATIONS)
    add_subdirectory(translations)
endif()
add_subdirectory(src)

configure_file(
    "${CMAKE_SOURCE_DIR}/kmidimon.spec.in"
    "${CMAKE_SOURCE_DIR}/kmidimon.spec"
    IMMEDIATE @ONLY)

configure_file(
    "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

add_custom_target ( uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_custom_target ( tarball
    COMMAND mkdir -p kmidimon-${PROJECT_VERSION}
    COMMAND cp -r cmake_admin kmidimon-${PROJECT_VERSION}
    COMMAND cp -r doc kmidimon-${PROJECT_VERSION}
    COMMAND cp -r icons kmidimon-${PROJECT_VERSION}
    COMMAND cp -r src kmidimon-${PROJECT_VERSION}
    COMMAND cp -r translations kmidimon-${PROJECT_VERSION}
    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO *.ins *.spec* *.desktop *.lsm *.qrc *.pro *.pri kmidimon-${PROJECT_VERSION}
    COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${PROJECT_VERSION}.tar.bz2 kmidimon-${PROJECT_VERSION}
    COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${PROJECT_VERSION}.tar.gz kmidimon-${PROJECT_VERSION}
    COMMAND rm -rf kmidimon-${PROJECT_VERSION}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

install( FILES kmidimon.desktop
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
         
install( FILES standards.ins
         DESTINATION ${CMAKE_INSTALL_DATADIR}/kmidimon )

=== icons/CMakeLists.txt ===
install (FILES kmidimon_16x16.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
         RENAME kmidimon.png)

install (FILES kmidimon_24x24.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps
         RENAME kmidimon.png)

install (FILES kmidimon_32x32.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
         RENAME kmidimon.png)

install (FILES kmidimon_48x48.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps
         RENAME kmidimon.png)

install (FILES kmidimon_64x64.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
         RENAME kmidimon.png)

install (FILES kmidimon_128x128.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
         RENAME kmidimon.png)

install (FILES kmidimon.svgz
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps )

=== src/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(EMBED_TRANSLATIONS)
    set( TRANSLATIONS
         ../translations/kmidimon_cs.ts
         ../translations/kmidimon_es.ts
         ../translations/kmidimon_fr.ts
         ../translations/kmidimon_ja.ts
    )
    qt5_add_translation(QM_FILES ${TRANSLATIONS})
    include(TranslationUtils)
    add_app_translations_resource(APP_RES ${QM_FILES})
    add_qt_translations_resource(QT_RES cs es fr ja)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(ALSA REQUIRED IMPORTED_TARGET alsa>=1.0.0)

set(kmidimon_SRCS
    about.cpp
    about.h
    configdialog.cpp
    configdialog.h
    connectdlg.cpp
    connectdlg.h
    eventfilter.cpp
    eventfilter.h
    helpwindow.cpp
    helpwindow.h
    iconutils.cpp
    iconutils.h
    instrument.cpp
    instrument.h
    kmidimon.cpp
    kmidimon.h
    main.cpp
    player.cpp
    player.h
    proxymodel.cpp
    proxymodel.h
    sequenceradaptor.cpp
    sequenceradaptor.h
    sequenceitem.cpp
    sequenceitem.h
    sequencemodel.cpp
    sequencemodel.h
    slideraction.cpp
    slideraction.h
    about.ui
    configdialogbase.ui
    kmidimonwin.ui
    kmidimon.qrc
    ../datafiles.qrc
    ../doc/en/docs.qrc
    ${APP_RES}
    ${QT_RES}
)

add_executable(kmidimon ${kmidimon_SRCS})

target_link_libraries( kmidimon
    Qt5::Widgets
    Drumstick::File
    Drumstick::ALSA
    PkgConfig::ALSA
)

target_compile_definitions( kmidimon PRIVATE
    VERSION=${PROJECT_VERSION}
    $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
)

install( TARGETS kmidimon
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== translations/CMakeLists.txt ===
set( TRANSLATIONS
     kmidimon_cs.ts
     kmidimon_es.ts
     kmidimon_fr.ts
     kmidimon_ja.ts )

qt5_add_translation(QM_FILES ${TRANSLATIONS})

add_custom_target(translations ALL DEPENDS ${QM_FILES})

install( FILES ${QM_FILES}
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kmidimon/translations/ )

=== doc/en/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

install( FILES kmidimon.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

install( FILES kmidimon.html kmidimon1.png kmidimon2.png kmidimon3.png qjackctl.png
    DESTINATION ${CMAKE_INSTALL_DOCDIR} )

=== doc/en/Makefile ===
all: kmidimon.1 kmidimon.html

kmidimon.1: manpage.xml
	# Verification
	xmllint --nonet --noout --postvalid --xinclude $^
	# Compilation
	xsltproc --output $@ --nonet --xinclude --xincludestyle \
	  http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	  $^

kmidimon.html: handbook.xml
	# Verification
	# xmllint --nonet --noout --postvalid --xinclude $^
	# Compilation
	xsltproc --output $@ --nonet --xinclude --xincludestyle \
	  http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl \
	  $^

=== doc/ja/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

kde4_create_handbook( index.docbook 
                      INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ja 
                      SUBDIR kmidimon )

kde4_create_manpage( man-kmidimon.1.docbook 1 
                     INSTALL_DESTINATION ${MAN_INSTALL_DIR}/ja )

=== debian/changelog ===
kmidimon-dmo (1.0.0-dmo2) unstable; urgency=medium

  * Swith to ninja-build

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 15:02:02 +0100

kmidimon-dmo (1.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 08:29:36 +0100

kmidimon (0.7.5-3) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Add a french translation (applied upstream). (Closes: #833360)

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Aug 2016 11:22:43 +0000

kmidimon (0.7.5-2) unstable; urgency=medium

  * Team upload.

  [ Radovan Birdic ]
  * Remove uninstall target from CMakeLists.txt, fixing FTBFS. (Closes: #803566)

  [ James Cowgill ]
  * Use canonical Vcs URLs.
  * Remove menu file per tech-ctte decision.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Jul 2016 13:26:55 +0100

kmidimon (0.7.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Fix VCS URLs.
  * Remove obsolete DM-Upload-Allowed: yes flag.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 14:26:54 +0100

kmidimon (0.7.4-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/gbp.conf: Set compression to bzip2.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Mar 2011 13:40:56 +0100

kmidimon (0.7.4-1) experimental; urgency=low

  * Update homepage
  * Imported Upstream version 0.7.4
  * Use external libdrumstick.
  * Drop obsolete patches.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 16:47:52 +0100

kmidimon (0.7.3-2) unstable; urgency=low

  * Add drumstick patch to fix compilation errors on arm and mips.
  * Add drumstick patch to fix problems with ALSA seq.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 17 May 2010 12:17:40 +0200

kmidimon (0.7.3-1) unstable; urgency=low

  * New upstream version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 24 Dec 2009 17:59:55 +0100

kmidimon (0.7.1-1) unstable; urgency=low

  * New Upstream Version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 10 Aug 2009 13:26:16 +0200

kmidimon (0.7.0-1) unstable; urgency=low

  [Reinhard Tartler]
  * bump debhelper compat level to 7
  * cleanups in debian/rules and debian/control
  
  [Adrian Knoth]
  * New Upstream Version (Closes: #534205)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 27 Jun 2009 15:42:50 +0200

kmidimon (0.5.0-2) unstable; urgency=low

  * Mention the FLD license in debian/copyright

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 19:57:16 +0200

kmidimon (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #416491)

 -- Free Ekanayaka <freee@debian.org>  Fri,  2 Feb 2007 00:00:17 +0100

=== debian/control ===
Source: kmidimon-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://kmidimon.sourceforge.io/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, ninja-build,
 libdrumstick-dev (>= 1:2.0.0~), libasound2-dev, qttools5-dev

Package: kmidimon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MIDI monitor using ALSA sequencer and KDE user interface
 KMidimon can monitor a MIDI data stream, in order to diagnose a
 malfunctioning piece of equipment or to examine the contents of a MIDI
 sequence during playback.

## kmidimon-dmo 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,26 +14,49 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.14)
 
 project(kmidimon
-    VERSION 1.0.0
+    VERSION 1.3.1
+    LANGUAGES CXX
     DESCRIPTION "ALSA Sequencer based MIDI Monitor"
-    LANGUAGES CXX
+    HOMEPAGE_URL "https://kmidimon.sourceforge.io/"
 )
 
+set(PROJECT_RELEASE_DATE "August 10, 2022")
+option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
+option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
+include(SCMRevision)
+
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED Yes)
 
-find_package(Qt5 5.12 COMPONENTS Widgets LinguistTools REQUIRED)
-if(Qt5_FOUND)
-    message(STATUS "Found Qt5 version: ${Qt5Core_VERSION_STRING}")
+if (USE_QT)
+    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
+        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
+    endif()
 endif()
 
-find_package(Drumstick 2.0 COMPONENTS ALSA File REQUIRED)
+if (USE_QT EQUAL 5)
+    find_package(QT NAMES Qt5)
+elseif (USE_QT EQUAL 6)
+    find_package(QT NAMES Qt6)
+else()
+    find_package(QT NAMES Qt5 Qt6)
+endif()
+if(QT_FOUND)
+    message(STATUS "Found Qt version: ${QT_VERSION}")
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} 5.12 COMPONENTS Gui Widgets LinguistTools REQUIRED)
+if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
+    find_package(Qt6Core5Compat REQUIRED)
+endif()
+
+find_package(Drumstick 2.7 COMPONENTS ALSA File REQUIRED)
 if(Drumstick_FOUND)
     message(STATUS "Found Drumstick version: ${Drumstick_VERSION}")
 endif()
@@ -42,9 +65,10 @@
     install prefix: ${CMAKE_INSTALL_PREFIX}
     Build configuration: ${CMAKE_BUILD_TYPE}
     Processor: ${CMAKE_SYSTEM_PROCESSOR}
-    Qt5: ${Qt5_VERSION}
+    Qt: ${QT_VERSION}
     Drumstick: ${Drumstick_VERSION}
-    Embed translations: ${EMBED_TRANSLATIONS}")
+    Embed translations: ${EMBED_TRANSLATIONS}
+    Build docs: ${BUILD_DOCS}")
 
 include(GNUInstallDirs)
 
@@ -53,7 +77,7 @@
 endif()
 
 add_subdirectory(icons)
-add_subdirectory(doc/en)
+add_subdirectory(doc)
 if(NOT EMBED_TRANSLATIONS)
     add_subdirectory(translations)
 endif()
@@ -80,15 +104,16 @@
     COMMAND cp -r icons kmidimon-${PROJECT_VERSION}
     COMMAND cp -r src kmidimon-${PROJECT_VERSION}
     COMMAND cp -r translations kmidimon-${PROJECT_VERSION}
-    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog INSTALL NEWS README TODO *.ins *.spec* *.desktop *.lsm *.qrc *.pro *.pri kmidimon-${PROJECT_VERSION}
+    COMMAND cp CMakeLists.txt AUTHORS COPYING ChangeLog configure.* *.md *.ins *.spec* *.desktop *.lsm *.qrc *.pro *.pri *.xml kmidimon-${PROJECT_VERSION}
     COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${PROJECT_VERSION}.tar.bz2 kmidimon-${PROJECT_VERSION}
     COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmidimon-${PROJECT_VERSION}.tar.gz kmidimon-${PROJECT_VERSION}
     COMMAND rm -rf kmidimon-${PROJECT_VERSION}
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )
 
-install( FILES kmidimon.desktop
+install( FILES net.sourceforge.kmidimon.desktop
          DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
-         
+install( FILES net.sourceforge.kmidimon.metainfo.xml
+         DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo )
 install( FILES standards.ins
          DESTINATION ${CMAKE_INSTALL_DATADIR}/kmidimon )

=== doc/CMakeLists.txt ===
# Drumstick MIDI Monitor
# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set(MANPAGE ${PROJECT_NAME}.1)
if (BUILD_DOCS)
    include(PandocMacros)
    if (UNIX AND NOT APPLE)
        update_manpages(${MANPAGE} ${PROJECT_NAME}.ja.1)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE}
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.ja.1
                DESTINATION ${CMAKE_INSTALL_MANDIR}/ja/man1
                RENAME ${MANPAGE})
    endif()
    update_helpfiles(cs en es fr ja)
else()
    if (UNIX AND NOT APPLE)
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${MANPAGE}
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
        install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.ja.1
                DESTINATION ${CMAKE_INSTALL_MANDIR}/ja/man1
                RENAME ${MANPAGE})
        foreach(_lang IN ITEMS cs en es fr ja)
            install( FILES "${_lang}/index.html"
                     DESTINATION ${CMAKE_INSTALL_DOCDIR}/${_lang}/${PROJECT_NAME} )
        endforeach()
    endif()
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Drumstick MIDI Monitor
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,14 +26,17 @@
          ../translations/kmidimon_fr.ts
          ../translations/kmidimon_ja.ts
     )
-    qt5_add_translation(QM_FILES ${TRANSLATIONS})
+    if(QT_VERSION VERSION_LESS 5.15.0)
+        qt5_add_translation(QM_FILES ${TRANSLATIONS})
+    else()
+        qt_add_translation(QM_FILES ${TRANSLATIONS})
+    endif()
     include(TranslationUtils)
     add_app_translations_resource(APP_RES ${QM_FILES})
     add_qt_translations_resource(QT_RES cs es fr ja)
 endif()
 
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(ALSA REQUIRED IMPORTED_TARGET alsa>=1.0.0)
+find_package(ALSA 1.0.0 REQUIRED)
 
 set(kmidimon_SRCS
     about.cpp
@@ -70,24 +73,39 @@
     kmidimonwin.ui
     kmidimon.qrc
     ../datafiles.qrc
-    ../doc/en/docs.qrc
+    ../doc/docs.qrc
     ${APP_RES}
     ${QT_RES}
 )
 
 add_executable(kmidimon ${kmidimon_SRCS})
+if (BUILD_DOCS)
+    add_dependencies ( kmidimon update_helpfiles )
+endif()
 
 target_link_libraries( kmidimon
-    Qt5::Widgets
+    Qt${QT_VERSION_MAJOR}::Widgets
     Drumstick::File
     Drumstick::ALSA
-    PkgConfig::ALSA
+    ALSA::ALSA
 )
+
+if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
+    target_link_libraries( kmidimon
+        Qt6::Gui
+        Qt6::Core5Compat
+    )
+endif()
 
 target_compile_definitions( kmidimon PRIVATE
     VERSION=${PROJECT_VERSION}
     $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
 )
 
+if (DEFINED PROJECT_WC_REVISION)
+    target_compile_definitions( ${PROJECT_NAME} PRIVATE
+        REVISION=${PROJECT_WC_REVISION} )
+endif()
+
 install( TARGETS kmidimon
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== doc/old/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

install( FILES kmidimon.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

install( FILES kmidimon.html kmidimon1.png kmidimon2.png kmidimon3.png qjackctl.png
    DESTINATION ${CMAKE_INSTALL_DOCDIR} )

=== doc/old/ja/CMakeLists.txt ===
# KMidimon - ALSA Sequencer based MIDI Monitor
# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

kde4_create_handbook( index.docbook 
                      INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ja 
                      SUBDIR kmidimon )

kde4_create_manpage( man-kmidimon.1.docbook 1 
                     INSTALL_DESTINATION ${MAN_INSTALL_DIR}/ja )

=== debian/changelog ===
kmidimon-dmo (1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Aug 2022 00:05:02 +0200

kmidimon-dmo (1.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Apr 2022 14:20:37 +0200

kmidimon-dmo (1.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Dec 2021 14:20:58 +0100

kmidimon-dmo (1.1.0-dmo0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Sep 2021 15:18:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://kmidimon.sourceforge.io/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, ninja-build,
- libdrumstick-dev (>= 1:2.0.0~), libasound2-dev, qttools5-dev
+ libdrumstick-dev (>= 1:2.5.0~), libasound2-dev, qttools5-dev, pkg-config,
+ pandoc
 
 Package: kmidimon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_clean:
	dh_clean doc/*/index.html

override_dh_auto_test:

=== debian/watch ===
version=4

https://sf.net/kmidimon/kmidimon-(.+)@ARCHIVE_EXT@

## kmidimon-dmo 1.4.1

=== debian/changelog ===
kmidimon-dmo (1.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2024 09:25:36 +0100

kmidimon-dmo (1.4.0-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 13:42:15 +0100

kmidimon-dmo (1.4.0-dmo3) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 16:16:03 +0200

kmidimon-dmo (1.4.0-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 09:54:36 +0100

kmidimon-dmo (1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Dec 2023 16:45:07 +0100

kmidimon-dmo (1.3.1-dmo2) unstable; urgency=medium

  * Build with QT6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jun 2023 10:45:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://kmidimon.sourceforge.io/
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, ninja-build,
- libdrumstick-dev (>= 1:2.5.0~), libasound2-dev, qttools5-dev, pkg-config,
- pandoc
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-base-dev,
+ libdrumstick-dev (>= 1:2.10~), libasound2-dev, pkgconf, qt6-tools-dev,
+ qt6-5compat-dev
 
 Package: kmidimon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_DOCS=OFF \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo


override_dh_auto_test:

=== debian/watch ===
version=4

https://sf.net/kmidimon/ kmidimon-@ANY_VERSION@@ARCHIVE_EXT@
